Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.saml
Interface SAMLCredentialMapperV2MBean

All Superinterfaces:
  ApplicationVersionerMBean, CredentialMapperMBean, weblogic.descriptor.DescriptorBean, ExportMBean, ImportMBean, ListerMBean, NameListerMBean, ProviderMBean, SAMLPartnerRegistryMBean, SAMLRelyingPartyRegistryMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface SAMLCredentialMapperV2MBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, CredentialMapperMBean, SAMLRelyingPartyRegistryMBean, ApplicationVersionerMBean

No description provided.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCredCacheMinViableTTL()` The minimum time, in seconds, that an entry in the credential cache will live.
`int` | `getCredCacheSize()` The size of the cache used to store assertion credentials.The cache stores assertion credentials so that requests for the same assertion may return a result from cache, rather than generate a new assertion.
`int` | `getDefaultTimeToLive()` Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime.
`int` | `getDefaultTimeToLiveDelta()` A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites.
`String` | `getDescription()` A short description of the SAML Credential Mapper V2 provider.
`String` | `getIssuerURI()` The Issuer URI (name) of this SAML Authority.
`int` | `getMinimumParserPoolSize()` The minimum number of parsers to maintain in the parser pool.
`String` | `getName()` The name of this configuration.
`String` | `getNameMapperClassName()` The name of the Java class that maps Subjects to SAML Assertion name information.
`String` | `getNameQualifier()` The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject.
`String` | `getProviderClassName()` The name of the Java class used to load the SAML Credential Mapper V2 provider.
`String` | `getSigningKeyAlias()` The alias used to access the keystore for keys used to sign assertions.
`String` | `getSigningKeyPassPhrase()` The credential (password) used to access the keystore for keys used to sign assertions.
`byte[]` | `getSigningKeyPassPhraseEncrypted()`
`String` | `getVersion()` The version number of the SAML Credential Mapper V2 provider.
`void` | `setCredCacheMinViableTTL(int newValue)` The minimum time, in seconds, that an entry in the credential cache will live.
`void` | `setCredCacheSize(int newValue)` The size of the cache used to store assertion credentials.The cache stores assertion credentials so that requests for the same assertion may return a result from cache, rather than generate a new assertion.
`void` | `setDefaultTimeToLive(int newValue)` Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime.
`void` | `setDefaultTimeToLiveDelta(int newValue)` A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites.
`void` | `setIssuerURI(String newValue)` The Issuer URI (name) of this SAML Authority.
`void` | `setMinimumParserPoolSize(int newValue)` The minimum number of parsers to maintain in the parser pool.
`void` | `setNameMapperClassName(String newValue)` The name of the Java class that maps Subjects to SAML Assertion name information.
`void` | `setNameQualifier(String newValue)` The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject.
`void` | `setSigningKeyAlias(String newValue)` The alias used to access the keystore for keys used to sign assertions.
`void` | `setSigningKeyPassPhrase(String newValue)` The credential (password) used to access the keystore for keys used to sign assertions.
`void` | `setSigningKeyPassPhraseEncrypted(byte[] _bytes)`

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Methods inherited from interface weblogic.security.providers.saml.registry.SAMLRelyingPartyRegistryMBean
`addRelyingParty, getRelyingParty, listRelyingParties, newRelyingParty, relyingPartyExists, removeRelyingParty, updateRelyingParty`

Methods inherited from interface weblogic.security.providers.saml.registry.SAMLPartnerRegistryMBean
`certificateExists, copyToDER, copyToPEM, getCertificate, getSupportedExportConstraints, getSupportedExportFormats, getSupportedImportConstraints, getSupportedImportFormats, listCertificates, registerCertificate, unregisterCertificate`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### getCredCacheMinViableTTL

    public int getCredCacheMinViableTTL()

  The minimum time, in seconds, that an entry in the credential cache will live.

  Default value:
    20
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### getCredCacheSize

    public int getCredCacheSize()

  The size of the cache used to store assertion credentials.The cache stores assertion credentials so that requests for the same assertion may return a result from cache, rather than generate a new assertion. This can improve performance in cases where an application may make multiple requests for the same assertion, for the same user, within a short period of time.

  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### getDefaultTimeToLive

    public int getDefaultTimeToLive()

  Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime. The default can be overridden for specific assertions.

  Default value:
    120
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### getDefaultTimeToLiveDelta

    public int getDefaultTimeToLiveDelta()

  A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites. The value is a positive or negative integer representing seconds.Normally, an assertion is valid from the NotBefore time, which defaults to (roughly) the time the assertion was generated, until the NotOnOrAfter time, which is calculated as (NotBefore + TimeToLive). This value is a positive or negative integer indicating how many seconds before or after "now" the assertions NotBefore should be set to. If you set a value for DefaultTimeToLiveDelta, then the assertion lifetime is still calculated as (NotBefore + TimeToLive), but the NotBefore value is set to (now + TimeToLiveDelta). So, an assertion might have a two minute (120 second) lifetime that starts thirty seconds ago, or starts one minute from now. This allows the Credential Mapper to compensate for clock differences between the source and destination sites. The default can be overridden for specific assertions.

  Default value:
    0
  A dynamic MBean attribute.
    true

### getDescription

    public String getDescription()

  A short description of the SAML Credential Mapper V2 provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic SAML Credential Mapping Provider. Supports Security Assertion Markup Language v1.1."
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getIssuerURI

    public String getIssuerURI()

  The Issuer URI (name) of this SAML Authority.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getMinimumParserPoolSize

    public int getMinimumParserPoolSize()

  The minimum number of parsers to maintain in the parser pool.

  Default value:
    5
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "SAMLCredentialMapperV2"
  A dynamic MBean attribute.
    false

### getNameMapperClassName

    public String getNameMapperClassName()

  The name of the Java class that maps Subjects to SAML Assertion name information. When no mapper is specified, the default mapper implementation is used.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getNameQualifier

    public String getNameQualifier()

  The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject. This provides a means to federate names from disparate user stores while avoiding the possibility of subject name collision.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getProviderClassName

    public String getProviderClassName()

  The name of the Java class used to load the SAML Credential Mapper V2 provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.saml.SAMLCredentialMapperV2ProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getSigningKeyAlias

    public String getSigningKeyAlias()

  The alias used to access the keystore for keys used to sign assertions.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getSigningKeyPassPhrase

    public String getSigningKeyPassPhrase()

  The credential (password) used to access the keystore for keys used to sign assertions.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getSigningKeyPassPhraseEncrypted

    public byte[] getSigningKeyPassPhraseEncrypted()

  A dynamic MBean attribute.
    true

### getVersion

    public String getVersion()

  The version number of the SAML Credential Mapper V2 provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "2.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### setCredCacheMinViableTTL

    public void setCredCacheMinViableTTL(int newValue)
                                  throws InvalidAttributeValueException

  The minimum time, in seconds, that an entry in the credential cache will live.

  Parameters:
    `newValue` - - new value for attribute CredCacheMinViableTTL
  Throws:
    `InvalidAttributeValueException`
  Default value:
    20
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### setCredCacheSize

    public void setCredCacheSize(int newValue)
                          throws InvalidAttributeValueException

  The size of the cache used to store assertion credentials.The cache stores assertion credentials so that requests for the same assertion may return a result from cache, rather than generate a new assertion. This can improve performance in cases where an application may make multiple requests for the same assertion, for the same user, within a short period of time.

  Parameters:
    `newValue` - - new value for attribute CredCacheSize
  Throws:
    `InvalidAttributeValueException`
  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### setDefaultTimeToLive

    public void setDefaultTimeToLive(int newValue)
                              throws InvalidAttributeValueException

  Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime. The default can be overridden for specific assertions.

  Parameters:
    `newValue` - - new value for attribute DefaultTimeToLive
  Throws:
    `InvalidAttributeValueException`
  Default value:
    120
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### setDefaultTimeToLiveDelta

    public void setDefaultTimeToLiveDelta(int newValue)
                                   throws InvalidAttributeValueException

  A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites. The value is a positive or negative integer representing seconds.Normally, an assertion is valid from the NotBefore time, which defaults to (roughly) the time the assertion was generated, until the NotOnOrAfter time, which is calculated as (NotBefore + TimeToLive). This value is a positive or negative integer indicating how many seconds before or after "now" the assertions NotBefore should be set to. If you set a value for DefaultTimeToLiveDelta, then the assertion lifetime is still calculated as (NotBefore + TimeToLive), but the NotBefore value is set to (now + TimeToLiveDelta). So, an assertion might have a two minute (120 second) lifetime that starts thirty seconds ago, or starts one minute from now. This allows the Credential Mapper to compensate for clock differences between the source and destination sites. The default can be overridden for specific assertions.

  Parameters:
    `newValue` - - new value for attribute DefaultTimeToLiveDelta
  Throws:
    `InvalidAttributeValueException`
  Default value:
    0
  A dynamic MBean attribute.
    true

### setIssuerURI

    public void setIssuerURI(String newValue)
                      throws InvalidAttributeValueException

  The Issuer URI (name) of this SAML Authority.

  Parameters:
    `newValue` - - new value for attribute IssuerURI
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setMinimumParserPoolSize

    public void setMinimumParserPoolSize(int newValue)
                                  throws InvalidAttributeValueException

  The minimum number of parsers to maintain in the parser pool.

  Parameters:
    `newValue` - - new value for attribute MinimumParserPoolSize
  Throws:
    `InvalidAttributeValueException`
  Default value:
    5
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### setNameMapperClassName

    public void setNameMapperClassName(String newValue)
                                throws InvalidAttributeValueException

  The name of the Java class that maps Subjects to SAML Assertion name information. When no mapper is specified, the default mapper implementation is used.

  Parameters:
    `newValue` - - new value for attribute NameMapperClassName
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setNameQualifier

    public void setNameQualifier(String newValue)
                          throws InvalidAttributeValueException

  The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject. This provides a means to federate names from disparate user stores while avoiding the possibility of subject name collision.

  Parameters:
    `newValue` - - new value for attribute NameQualifier
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setSigningKeyAlias

    public void setSigningKeyAlias(String newValue)
                            throws InvalidAttributeValueException

  The alias used to access the keystore for keys used to sign assertions.

  Parameters:
    `newValue` - - new value for attribute SigningKeyAlias
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setSigningKeyPassPhrase

    public void setSigningKeyPassPhrase(String newValue)
                                 throws InvalidAttributeValueException

  The credential (password) used to access the keystore for keys used to sign assertions.

  Parameters:
    `newValue` - - new value for attribute SigningKeyPassPhrase
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setSigningKeyPassPhraseEncrypted

    public void setSigningKeyPassPhraseEncrypted(byte[] _bytes)

  A dynamic MBean attribute.
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD